
Ruby - Bug #12130

WEBrick::HTTPProxy closes connection when the socket is not writable temporally

03/01/2016 06:45 AM - labocho (Keisuke NISHI)

Status: Closed   

Priority: Normal   

Assignee: normalperson (Eric Wong)   

Target version:    

ruby -v: ruby 2.3.0p0 (2015-12-25 revision

53290) [x86_64-darwin14]

Backport: 2.2: DONTNEED, 2.3: DONTNEED, 2.4:

DONTNEED

Description

WEBrick::HTTPProxy#do_CONNECT closes connection when Errno::EAGAIN or Errno::WOULDBLOCK occurred.

These exceptions will raise when the socket is not writable temporally.

I expect that the proxy will wait until the socket will be writable rather than closing the connection.

Associated revisions

Revision b40a9475db568d05bf33ab168ed804e3e2091293 - 09/19/2017 08:39 AM - Eric Wong 

webrick: handle EAGAIN/EWOULDBLOCK on proxy connections

lib/webrick/httpproxy.rb (do_CONNECT): high-level IO methods

[ruby-core:82861] [Bug #12130]

Patch by: Keisuke NISHI

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59965 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision b40a9475 - 09/19/2017 08:39 AM - Eric Wong 

webrick: handle EAGAIN/EWOULDBLOCK on proxy connections

lib/webrick/httpproxy.rb (do_CONNECT): high-level IO methods

[ruby-core:82861] [Bug #12130]

Patch by: Keisuke NISHI

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59965 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/10/2016 03:46 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Assigned

- Assignee set to hsbt (Hiroshi SHIBATA)

#2 - 09/19/2017 06:00 AM - hsbt (Hiroshi SHIBATA)

- Assignee changed from hsbt (Hiroshi SHIBATA) to normalperson (Eric Wong)

Eric

 Could you review and handle this issue?

#3 - 09/19/2017 08:39 AM - Anonymous

- Status changed from Assigned to Closed

Applied in changeset trunk|r59965.

webrick: handle EAGAIN/EWOULDBLOCK on proxy connections

lib/webrick/httpproxy.rb (do_CONNECT): high-level IO methods

[ruby-core:82861] [Bug #12130]

Patch by: Keisuke NISHI
#4 - 09/19/2017 08:49 AM - hsbt (Hiroshi SHIBATA)

- Backport changed from 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN to 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONTNEED

Files

webrick_httpproxy_will_close_connection.patch 805 Bytes 03/01/2016 labocho (Keisuke NISHI)

webrick_httpproxy_will_close_connection.rb 1.25 KB 03/01/2016 labocho (Keisuke NISHI)
